### Method

# Dex Future await_pointer

#### Declaration [src]

    gpointer
    dex_await_pointer (
      DexFuture* future
      GError** error
    )

#### Description [src]

Calls `dex_await()` and returns the value of g_value_get_pointer(), otherwise `error` is set if the future rejected.

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The instance takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gpointer`

A pointer or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.